﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using System.Diagnostics;

namespace _86010
{
    public partial class Form1 : Form
    {
        DataSet ds;

        public Form1()
        {
            InitializeComponent();
            ds = GenerateDataSet();
        }

        public DataSet GenerateDataSet()
        {
            DataTable table0 = new DataTable("Treatment Fluu");
            table0.Columns.Add("ID", typeof(int));
            table0.Columns.Add("Dosage", typeof(int));
            table0.Columns.Add("Drug", typeof(string));
            table0.Columns.Add("Patient", typeof(string));
            table0.Columns.Add("Date", typeof(DateTime));

            table0.Rows.Add(1, 25, "Indocin", "David", DateTime.Now);
            table0.Rows.Add(2, 50, "Enebrel", "Sam", DateTime.Now);
            table0.Rows.Add(3, 10, "Hydralazine", "Christoff", DateTime.Now);
            table0.Rows.Add(4, 21, "Combivent", "Janet", DateTime.Now);
            table0.Rows.Add(5, 100, "Dilantin", "Melanie", DateTime.Now);

            DataTable table1 = new DataTable("Patient Inof");
            table1.Columns.Add("ID", typeof(int));
            table1.Columns.Add("TFID", typeof(int));
            table1.Columns.Add("Name", typeof(string));
            table1.Columns.Add("Inspection", typeof(string));
            table1.Columns.Add("Date", typeof(DateTime));

            table1.Rows.Add(1, 1, "David", "Control", DateTime.Now);
            table1.Rows.Add(2, 1, "David", "Patient visitation", DateTime.Now);
            table1.Rows.Add(3, 1, "David", "Patient visitation", DateTime.Now);
            table1.Rows.Add(4, 2, "Sam", "Control", DateTime.Now);
            table1.Rows.Add(5, 3, "Christoff", "Control", DateTime.Now);
            table1.Rows.Add(6, 4, "Janet", "Control", DateTime.Now);
            table1.Rows.Add(7, 4, "Janet", "Patient visitation", DateTime.Now);
            table1.Rows.Add(8, 5, "Melanie", "Control", DateTime.Now);
            table1.Rows.Add(9, 5, "Melanie", "Patient visitation", DateTime.Now);


            DataSet RetDataSet = new DataSet();
            RetDataSet.Tables.Add(table0);
            RetDataSet.Tables.Add(table1);
            RetDataSet.Relations.Add(RetDataSet.Tables["Treatment Fluu"].Columns["ID"],
            RetDataSet.Tables["Patient Inof"].Columns["TFID"]);

            return RetDataSet;

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ds.AcceptChanges();
            ultraGrid1.DataSource = ds;

        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            MessageBox.Show(ds.HasChanges().ToString(), "Has Changes");
            
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridColumn col = e.Layout.Bands[0].Columns.Add("Bool");
            col.DataType = typeof(bool);
            col.Style = Infragistics.Win.UltraWinGrid.ColumnStyle.CheckBox;
            col.DefaultCellValue = false;
        }
    }
}
